//Importing the json, feature,mesh packages
import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = 'https://gist.githubusercontent.com/ct0571/0880534529956e710fdd841ed404f281/raw/551203928508d76a9c39b5aa6edc874e4a25b38a/England.json';

export const useData = () => {
  const [data, setData] = useState(null);
 //creating a function using useeffect to read json data and draw map 
  useEffect(() => {
    json(jsonUrl).then(topology => {
      const { eer } = topology.objects;
    	setData({
        regions: feature(topology, eer),
        interiors: mesh(topology, eer, (a, b) => a !== b)
      });
    });
  }, []);
  
  return data;
};